package com.caimei.service;

import com.caimei.model.ResponseJson;
import com.caimei.model.dto.BuyerUserDto;
import com.caimei.model.vo.BuyerUserVo;

/**
 * Description
 *
 * @author : plf
 * @date : 2021/3/22
 */
public interface LoginService {

    /**
     * 小程序授权登录
     *
     * @param code
     * @return
     */
    ResponseJson<BuyerUserVo> authorizationLogin(String code);

    /**
     * 邀请码登录
     *
     * @param buyerUserDto
     * @return
     */
    ResponseJson<BuyerUserVo> invitationCode(BuyerUserDto buyerUserDto);
}
