ALTER TABLE `cm_mall_organize`
  ADD COLUMN `status` CHAR(2) NULL   COMMENT '状态:1已上线,2已下线' AFTER `mobile`;

CREATE TABLE `cm_organize_buyer`(
  `id` INT NOT NULL AUTO_INCREMENT,
  `organizeId` INT COMMENT '组织id',
  `name` VARCHAR(50) COMMENT '采购员名称',
  `mobile` VARCHAR(20) COMMENT '手机号',
  `invitationCode` VARCHAR(20) COMMENT '邀请码',
  `status` CHAR(1) COMMENT '1未绑定，2已绑定',
  `nickName` VARCHAR(32) COMMENT '微信昵称',
  `openid` VARCHAR(32) COMMENT '小程序openid',
  `addTime` DATETIME COMMENT '添加时间',
  `invitationCodeTime` DATETIME COMMENT '邀请码有效截止时间',
  `bindTime` DATETIME COMMENT '绑定时间',
  `updateTime` DATETIME COMMENT '更新时间',
  `delFlag` CHAR(1) COMMENT '0 有效 其它无效',
  PRIMARY KEY (`id`)
) CHARSET=utf8mb4
COMMENT='组织采购人员表';